Bug 456492 - Git clone not creating intermediate directories.
Git clone not creating intermediate directories.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 23:33 EDT by Chris Ball
Modified: 2013-01-10 05:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 10:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ball 2008-07-23 23:33:06 EDT
Hi,

Description of problem:

The version of GIT currently in Rawhide has a rather severe bug -- git-clone
refuses to create intermediate directories during a clone.  It did create them
in previous versions, and many scripts (for example, GNOME and Xorg jhbuild)
depended on this behavior.  As a result, jhbuild fails with current Rawhide.

This has been fixed upstream with commit 2beebd2, which is present in upstream
release 1.5.6.1.  Please consider pushing a package containing that release to
Rawhide.

The individual fix commit is:
http://repo.or.cz/w/git.git?a=commitdiff;h=2beebd2

Version-Release number of selected component (if applicable):
pullcord:cjb~ % rpm -q git                                                     
git-1.5.6-1.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. git clone git://anongit.freedesktop.org/git/xorg/util/macros xorg/util/macros

Actual results:
fatal: could not create work tree dir 'xorg/util/macros'.

Expected results:
Success.
Comment 1 James Bowes 2008-07-24 10:31:03 EDT
I just build 1.5.6.4 in rawhide. Thanks for the heads-up, Chris!

Note You need to log in before you can comment on or make changes to this bug.